uk.gov.hmrc.ct.accounts.frs102.calculations

# BalanceSheetTangibleAssetsCalculator

###
Related Doc: package calculations

#### trait BalanceSheetTangibleAssetsCalculator extends CtTypeConverters

Linear Supertypes
CtTypeConverters, AnyRef, Any
Known Subclasses
AC124, AC125, AC126, AC127, AC127A, AC127B, AC127C, AC127D, AC127E, AC128, AC129, AC130, AC131, AC131A, AC131B, AC131C, AC131D, AC131E, AC132, AC132, AC132A, AC132B, AC132C, AC132D, AC132E, AC133, AC133A, AC133B, AC133C, AC133D, AC133E, AC212, AC213, AC214, AC217
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BalanceSheetTangibleAssetsCalculator
2. CtTypeConverters
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def calculateAC124(ac124A: AC124A, ac124B: AC124B, ac124C: AC124C, ac124D: AC124D, ac124E: AC124E): AC124

6. #### def calculateAC125(ac125A: AC125A, ac125B: AC125B, ac125C: AC125C, ac125D: AC125D, ac125E: AC125E): AC125

7. #### def calculateAC126(ac126A: AC126A, ac126B: AC126B, ac126C: AC126C, ac126D: AC126D, ac126E: AC126E): AC126

8. #### def calculateAC127(ac127A: AC127A, ac127B: AC127B, ac127C: AC127C, ac127D: AC127D, ac127E: AC127E): AC127

9. #### def calculateAC127A(ac124A: AC124A, ac125A: AC125A, ac126A: AC126A, ac212A: AC212A, ac213A: AC213A): AC127A

10. #### def calculateAC127B(ac124B: AC124B, ac125B: AC125B, ac126B: AC126B, ac212B: AC212B, ac213B: AC213B): AC127B

11. #### def calculateAC127C(ac124C: AC124C, ac125C: AC125C, ac126C: AC126C, ac212C: AC212C, ac213C: AC213C): AC127C

12. #### def calculateAC127D(ac124D: AC124D, ac125D: AC125D, ac126D: AC126D, ac212D: AC212D, ac213D: AC213D): AC127D

13. #### def calculateAC127E(ac124E: AC124E, ac125E: AC125E, ac126E: AC126E, ac212E: AC212E, ac213E: AC213E): AC127E

14. #### def calculateAC128(ac128A: AC128A, ac128B: AC128B, ac128C: AC128C, ac128D: AC128D, ac128E: AC128E): AC128

15. #### def calculateAC129(ac129A: AC129A, ac129B: AC129B, ac129C: AC129C, ac129D: AC129D, ac129E: AC129E): AC129

16. #### def calculateAC130(ac130A: AC130A, ac130B: AC130B, ac130C: AC130C, ac130D: AC130D, ac130E: AC130E): AC130

17. #### def calculateAC131(ac131A: AC131A, ac131B: AC131B, ac131C: AC131C, ac131D: AC131D, ac131E: AC131E): AC131

18. #### def calculateAC131A(ac128A: AC128A, ac129A: AC129A, ac130A: AC130A, ac214A: AC214A): AC131A

19. #### def calculateAC131B(ac128B: AC128B, ac129B: AC129B, ac130B: AC130B, ac214B: AC214B): AC131B

20. #### def calculateAC131C(ac128C: AC128C, ac129C: AC129C, ac130C: AC130C, ac214C: AC214C): AC131C

21. #### def calculateAC131D(ac128D: AC128D, ac129D: AC129D, ac130D: AC130D, ac214D: AC214D): AC131D

22. #### def calculateAC131E(ac128E: AC128E, ac129E: AC129E, ac130E: AC130E, ac214E: AC214E): AC131E

23. #### def calculateAC132(ac132A: AC132A, ac132B: AC132B, ac132C: AC132C, ac132D: AC132D, ac132E: AC132E): AC132

24. #### def calculateAC132A(ac127A: AC127A, ac131A: AC131A): AC132A

25. #### def calculateAC132B(ac127B: AC127B, ac131B: AC131B): AC132B

26. #### def calculateAC132C(ac127C: AC127C, ac131C: AC131C): AC132C

27. #### def calculateAC132D(ac127D: AC127D, ac131D: AC131D): AC132D

28. #### def calculateAC132E(ac127E: AC127E, ac131E: AC131E): AC132E

29. #### def calculateAC133(ac133A: AC133A, ac133B: AC133B, ac133C: AC133C, ac133D: AC133D, ac133E: AC133E): AC133

30. #### def calculateAC133A(ac124A: AC124A, ac128A: AC128A): AC133A

31. #### def calculateAC133B(ac124B: AC124B, ac128B: AC128B): AC133B

32. #### def calculateAC133C(ac124C: AC124C, ac128C: AC128C): AC133C

33. #### def calculateAC133D(ac124D: AC124D, ac128D: AC128D): AC133D

34. #### def calculateAC133E(ac124E: AC124E, ac128E: AC128E): AC133E

35. #### def calculateAC212(ac212A: AC212A, ac212B: AC212B, ac212C: AC212C, ac212D: AC212D, ac212E: AC212E): AC212

36. #### def calculateAC213(ac213A: AC213A, ac213B: AC213B, ac213C: AC213C, ac213D: AC213D, ac213E: AC213E): AC213

37. #### def calculateAC214(ac214A: AC214A, ac214B: AC214B, ac214C: AC214C, ac214D: AC214D, ac214E: AC214E): AC214

38. #### def calculateDepreciationOfTangibleAssetsAtEndOfThePeriod(ac128: AC128, ac219: AC219, ac130: AC130, ac214: AC214): AC131

39. #### def calculateNetBookValueOfTangibleAssetsAEndOfPreviousPeriod(ac217: AC217, ac131: AC131): AC132

40. #### def calculateNetBookValueOfTangibleAssetsAEndOfThePeriod(ac124: AC124, ac128: AC128): AC133

41. #### def calculateTangibleAssetsAtTheEndOFThePeriod(ac124: AC124, ac125: AC125, ac126: AC126, ac212: AC212, ac213: AC213): AC217

42. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

    Definition Classes
      CtTypeConverters

44. #### implicit def convert(catoInt: CtOptionalInteger): Int

    Definition Classes
      CtTypeConverters

45. #### implicit def convert(catoInt: CtInteger): Int

    Definition Classes
      CtTypeConverters

46. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

47. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

48. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

49. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

50. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

51. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

52. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

53. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

54. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

55. #### final def notify(): Unit

    Definition Classes
      AnyRef

56. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

57. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

58. #### def toString(): String

    Definition Classes
      AnyRef → Any

59. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

60. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

61. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from CtTypeConverters

### Inherited from AnyRef

### Inherited from Any

### Ungrouped